/**********************************************************************************************
**
**   Autor: Thomas Meyer
**
**   nicht für Firmen oder kommerzielle Nutzung, keine unerlaubte Weitergabe, kein Verkauf
**
**   © 2006, Thomas Meyer www.All-Community.de - Copyright Hinweis nicht entfernen!
**
***********************************************************************************************/

function addIcon(icon, ziel, e)
{
    ziel = document.getElementById(ziel);
    if (document.selection) {
        var caretPosition = ziel.value.length + 1;
        if (ziel.createTextRange) {
            range = document.selection.createRange().duplicate();
            while (range.parentElement() == ziel && range.move("character",1) == 1)
            {
                --caretPosition;
            }
         }
         if (caretPosition == ziel.value.length + 1) {
             caretPosition = 0;
         }
    } else if (ziel.selectionEnd) {
        var caretPosition = ziel.selectionEnd;
    } else {
        var caretPosition = ziel.value.length;
    }
    ziel.value = ziel.value.slice(0,caretPosition) + icon + ' ' + ziel.value.slice(caretPosition,ziel.value.length);
    if (e.preventDefault) {
        e.preventDefault();
    }
}
function addEmbTag(tag, ziel, e) 
{
    ziel = document.getElementById(ziel);    
    var startTag = tag.match(/^\[[^\]]+\]/);
    var endTag = tag.match(/\[[^\]]+\]$/);

    if (document.selection && document.selection.createRange().parentElement().id == ziel.id) {

        var currentSelection = document.selection.createRange().text;
        if (currentSelection == '') { empty_selection(); return; }
        document.selection.createRange().text = startTag + currentSelection + endTag;

    } else if (window.getSelection) {

        var currentSelection = ziel.value.slice(ziel.selectionStart,ziel.selectionEnd);
        if (currentSelection == '') { empty_selection(); return; }
        ziel.value = ziel.value.slice(0,ziel.selectionStart) +
                     startTag + currentSelection + endTag +
                     ziel.value.slice(ziel.selectionEnd, ziel.textLength);

    } else {

        ziel.value+=tag;

    }
    ziel.focus();
    if (e.preventDefault) {
        e.preventDefault();
    }
}

function empty_selection() 
{
    alert(noselection_js);
}

// © 2006, Thomas Meyer www.All-Community.de
// Copyright Hinweis nicht entfernen!